/* SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only */

/*!
 * @internal
 * @file
 * @author EDT <tech@edt.com>
 * @copyright Copyright (C) 2023 Engineering Design Team, Inc.
 */

#include "edt_pci_devices.h"

#if defined(__linux__)
#include <linux/errno.h>
#include <linux/types.h>
#elif defined(_WIN32)
#include "ntdef.h"
#include "ntddk.h"
#include "errno.h"
#endif

int edt_pcidev_str_from_pid(enum EDT_PCI_PID pid, const char** const cstr)
{
  if (NULL == cstr)
    return -EINVAL;

  *cstr = NULL;

  switch (pid)
  {
#define EXPAND_AS_CASE_PID_GET_CSTR_NAME(_defname, _pid, _dma_ch, _name, _desc) \
  case _defname:                                                                \
    *cstr = _name;                                                              \
    return 0;

    EDT_PCI_DEVICES_LISTX(EXPAND_AS_CASE_PID_GET_CSTR_NAME)
#undef EXPAND_AS_CASE_PID_GET_CSTR_NAME

  default:
    return -EINVAL;
  }
}

int edt_pcidev_num_dma_channels(enum EDT_PCI_PID pid)
{
  switch (pid)
  {
#define EXPAND_AS_CASE_PID_GET_DMA_CNT(_defname, _pid, _dma_ch, _name, _desc) \
  case _defname:                                                              \
    return _dma_ch;

    EDT_PCI_DEVICES_LISTX(EXPAND_AS_CASE_PID_GET_DMA_CNT)
#undef EXPAND_AS_CASE_PID_GET_DMA_CNT

  default:
    return -EINVAL;
  }
}
