/* SPDX-License-Identifier: BSD-3-Clause */

/**
 * @file
 * @copyright Copyright (C) 2011 Engineering Design Team, Inc.
 *
 * Macros which define types and type combinations
 */

#ifndef EDT_TYPES_H
#define EDT_TYPES_H

#ifdef __cplusplus
extern "C" {
#endif

#define EDT_TYPE_NULL 0

#define EDT_TYPE_CHAR   1
#define EDT_TYPE_BYTE   2
#define EDT_TYPE_SHORT  3
#define EDT_TYPE_USHORT 4
#define EDT_TYPE_INT    7
#define EDT_TYPE_UINT   8
#define EDT_TYPE_FLOAT  9
#define EDT_TYPE_DOUBLE 10

/* Shortcuts for type = byte, n = 3 or 4 */

#define EDT_TYPE_RGB   11
#define EDT_TYPE_BGR   12
#define EDT_TYPE_RGBA  13
#define EDT_TYPE_BGRA  14
#define EDT_TYPE_RGB15 15
#define EDT_TYPE_RGB16 16
#define EDT_TYPE_RGB48 17
#define EDT_TYPE_BGR48 18

#define EDT_TYPE_MONO     19
#define EDT_TYPE_BIT      19 /* for bit fields */
#define EDT_TYPE_LONG     20
#define EDT_TYPE_ULONG    21
#define EDT_TYPE_INT64    22
#define EDT_TYPE_UINT64   23
#define EDT_TYPE_BITFIELD 24
#define EDT_TYPE_STR      25
#define EDT_TYPE_STLSTR   26 /* C++ STL string type*/

#ifdef __cplusplus
}
#endif

#endif /* EDT_TYPES_H */
